Start the OAuth2 authorization flow
get
Query parameters
client_idstringRequired
ID of the OAuth2 client.
redirect_uristringRequired
Redirect URI registered for the client.
response_typestringRequired
OAuth2 response type, for example code.
scopestringRequired
Space-separated list of requested scopes.
statestringOptional
Opaque value returned unchanged to the client.
noncestringOptional
Value bound to the ID token to mitigate replay attacks.
code_challengestringOptional
PKCE code challenge.
code_challenge_methodstringOptional
PKCE code challenge method, for example S256.
promptstringOptional
OpenID prompt parameter, for example consent.
allowbooleanOptional
Set by the consent screen to allow or deny the request.
Responses
302
Redirect to the client, to the login page or to the consent page.
No content
400
Invalid authorization request.
application/json
500
Unable to handle authorization request.
application/json
get/api/v1/oauth/authorize
GET /api/v1/oauth/authorize?client_id=text&redirect_uri=text&response_type=text&scope=text HTTP/1.1
Accept: */*
No content
PreviousCreate an OAuth2/OpenID client applicationNextFinish the OAuth2 authorization flow after user consent
Last updated
Was this helpful?